# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::CSS2PageSize Class Reference

The `CSS2Cursor` interface represents the size CSS Level 2 descriptor. More...

`#include <css_extensions.h>`

Inheritance diagram for DOM::CSS2PageSize:

[legend]
Collaboration diagram for DOM::CSS2PageSize:

[legend]
List of all members.

## Public Member Functions

| CSS2PageSize (const CSS2PageSize &other)
| CSS2PageSize (CSS2PageSizeImpl *impl)
CSS2PageSize & | operator= (const CSS2PageSize &other)
unsigned short | widthType () const
unsigned short | heightType () const
DOM::DOMString | identifier () const
float | getWidth (const float widthType)
float | getHeightSize (const float heightType)
void | setWidthSize (const unsigned short widthType, const float value)
void | setHeightSize (const unsigned short heightType, const float value)
void | setIdentifier (const DOM::DOMString &identifier)

## Detailed Description

The `CSS2Cursor` interface represents the size CSS Level 2 descriptor.

Definition at line 739 of file css_extensions.h.

## Member Function Documentation

unsigned short CSS2PageSize::widthType | ( |  | ) | const

| A code defining the type of the width of the page. It would be one of `CSS_EMS` , `CSS_EXS` , `CSS_PX` , `CSS_CM` , `CSS_MM` , `CSS_IN` , `CSS_PT` , `CSS_PC` , `CSS_IDENT` , `CSS_INHERIT` . If one of width or height is `CSS_IDENT` or `CSS_INHERIT` , it's guaranteed that the other is the same. Definition at line 502 of file css_extensions.cpp.

unsigned short CSS2PageSize::heightType | ( |  | ) | const

| A code defining the type of the height of the page. It would be one of `CSS_EMS` , `CSS_EXS` , `CSS_PX` , `CSS_CM` , `CSS_MM` , `CSS_IN` , `CSS_PT` , `CSS_PC` , `CSS_IDENT` , `CSS_INHERIT` . If one of width or height is `CSS_IDENT` or `CSS_INHERIT` , it's guaranteed that the other is the same. Definition at line 508 of file css_extensions.cpp.

DOMString CSS2PageSize::identifier | ( |  | ) | const

| If `width` is `CSS_IDENT` or `CSS_INHERIT` , this attribute contains the string representation of the ident, otherwise it contains an empty string. Definition at line 514 of file css_extensions.cpp. Referenced by setIdentifier().

float CSS2PageSize::getWidth | ( | const float | widthType | ) |

This method is used to get the float value in a specified unit if the `widthType` represents a length.

If the float doesn't contain a float value or can't be converted into the specified unit, a `DOMException` is raised.

Parameters:

  | widthType | The specified unit.

Returns:
  The float value.

Exceptions:

  | DOMException | INVALID_ACCESS_ERR: Raises if the property doesn't contain a float or the value can't be converted.

Definition at line 520 of file css_extensions.cpp.

float CSS2PageSize::getHeightSize | ( | const float | heightType | ) |

This method is used to get the float value in a specified unit if the `heightType` represents a length.

If the float doesn't contain a float value or can't be converted into the specified unit, a `DOMException` is raised. If only the width value has been specified, the height value is the same.

Parameters:

  | heightType | The specified unit.

Returns:
  The float value.

Exceptions:

  | DOMException | INVALID_ACCESS_ERR: Raises if the property doesn't contain a float or the value can't be converted.

Definition at line 526 of file css_extensions.cpp.

void CSS2PageSize::setWidthSize | ( | const unsigned short | widthType,
|  | const float | value
| ) |

This method is used to set the width position with a specified unit.

If the `heightType` is not a length, it sets the height position to the same value.

Parameters:

  | widthType | The specified unit.
  | value | The new value.

Returns:

Exceptions:

  | DOMException | INVALID_ACCESS_ERR: Raises if the specified unit is not a length or a percentage.

NO_MODIFICATION_ALLOWED_ERR: Raises if this property is readonly.

Definition at line 532 of file css_extensions.cpp.

void CSS2PageSize::setHeightSize | ( | const unsigned short | heightType,
|  | const float | value
| ) |

This method is used to set the height position with a specified unit.

If the `widthType` is not a length, it sets the width position to the same value.

Parameters:

  | heightType | The specified unit.
  | value | The new value.

Returns:

Exceptions:

  | DOMException | INVALID_ACCESS_ERR: Raises if the specified unit is not a length or a percentage.

NO_MODIFICATION_ALLOWED_ERR: Raises if this property is readonly.

Definition at line 538 of file css_extensions.cpp.

void CSS2PageSize::setIdentifier | ( | const DOM::DOMString & | identifier | ) |

Sets the identifier.

Parameters:

  | identifier | The new identifier.

Returns:

Exceptions:

  | DOMException | SYNTAX_ERR: Raises if the identifier has a syntax error and is unparsable.

NO_MODIFICATION_ALLOWED_ERR: Raises if this property is readonly.

Definition at line 544 of file css_extensions.cpp.

References identifier().

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:34 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003